/*
 * @Author: wjc
 * @Date: 2024-05-27 11:53:23
 * @LastEditors: wjc
 * @LastEditTime: 2024-05-28 10:01:37
 * @Description: 
 */
module.exports = {
  root: true,
  env: {
    browser: true,
    node: true,
  },
  extends: [
    'plugin:vue/vue3-recommended',
    'plugin:@typescript-eslint/recommended',
    'prettier',
    'plugin:prettier/recommended',
  ],
  parser: 'vue-eslint-parser',
  parserOptions: {
    ecmaVersion: 2020,
    // 指定eslint解析器
    parser: '@typescript-eslint/parser',
    // 允许使用 import
    sourceType: 'module',
    // 允许解析 jsx
    ecmaFeatures: {
      jsx: true,
    },
  },
  plugins: ['vue', '@typescript-eslint'],
  rules: {
    'vue/no-mutating-props': [
      'error',
      {
        shallowOnly: true, // 启用更改props值但保持引用不变的功能
      },
    ],
    'vue/valid-template-root': [0],
    'vue/no-reserved-component-names': 'off',
    'vue/multi-word-component-names': 'off',
    '@typescript-eslint/no-explicit-any': 'off',
    '@typescript-eslint/ban-ts-comment': [0],
    '@typescript-eslint/no-unused-vars': [0],
    'space-before-function-paren': 1,
  },
}
